<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<!--
IGAC proyecto SNC

@author pedro.garcia
@description es la página para crear una nueva comisión
@cu CU-CO-A-04
@version 2.0

OJO: para que funcione el align-text de un p:outputPanel que contiene un h:panelGrid hay que definir
    el width del grid en 100%
tip: si sale descuadrada columna correspondiente a otra anterior en la que he usado h:panelGrid,
    entonces  usar también  h:panelGrid aunque sea de una sola columna
-->
<h:form xmlns="http://www.w3.org/1999/xhtml"
        xmlns:ui="http://java.sun.com/jsf/facelets"
        xmlns:f="http://java.sun.com/jsf/core"
        xmlns:h="http://java.sun.com/jsf/html"
        xmlns:p="http://primefaces.org/ui" 
        id="detalleNuevaComisionForm" >

    <p:messages id="detalleNuevaComisionMsgs" showDetail="false" globalOnly="false" autoUpdate="false" />

    <h:panelGrid  id="detalleNuevaComisionPG" width="100%" >

        <p:panel header="Datos de la nueva comisión">

            <p:spacer height="10" width="0"/>
            <p:outputPanel layout="block" style="text-align: right">

                <h:outputLabel value="Programación de comisiones: " styleClass="outputLabelStyle"/>
                <p:commandLink styleClass="commandLinkStyle"
                               onclick="scheduleComisionesWV.show()" update=":scheduleComisionesForm">
                    <p:graphicImage title="click para ver la programación de comisiones"
                                    value="/images/dock/calendar.png" width="30" height="30"/>
                </p:commandLink>
            </p:outputPanel>

            <p:spacer height="10" width="1"/>
            <h:panelGrid columns="5" cellpadding="5">
                <h:panelGroup>
                    <h:outputLabel value="Fecha de inicio: " styleClass="outputLabelStyle"/>
                    <h:outputLabel value="*" styleClass="requiredLabelStyle" />
                </h:panelGroup>
                <h:panelGroup>
                    <h:panelGrid columns="2">
                        <p:calendar id="fechaInicialComisionNueva" navigator="true" maxlength="10" size="10"
                                    pattern="#{general.formatoFechaComponenteCalendar}" showOn="both"
                                    effect="explode" title="#{general.formatoFechaUsuario}" 
                                    value="#{manejoComisionesTramites.nuevaComision.fechaInicio}"
                                    styleClass="outputLabelStyle" locale="es_CO"
                                    required="true" tabindex="-1" mindate="#{general.fechaActual}"
                                    label="Fecha inicial">
                            <p:ajax event="dateSelect" immediate="true" 
                                    listener="#{manejoComisionesTramites.cambioFechaInicialComisionListener}"
                                    update="duracionComisionNuevaOT, duracionTotalComisionNuevaOT, detalleNuevaComisionMsgs" 
                                    />
                        </p:calendar>
                        <p:message for="fechaInicialComisionNueva" display="icon" id="reqFechaInitComNueva"/>
                    </h:panelGrid>
                </h:panelGroup>


                <p:spacer width="50" height="0" />

                <h:panelGroup>
                    <h:outputLabel value="Fecha de finalización: " styleClass="outputLabelStyle"/>
                    <h:outputLabel value="*" styleClass="requiredLabelStyle" />
                </h:panelGroup>
                <h:panelGroup>
                    <h:panelGrid columns="2">
                        <p:calendar id="fechaFinalComisionNueva" navigator="true" maxlength="10" size="10"
                                    pattern="#{general.formatoFechaComponenteCalendar}" showOn="both"
                                    effect="explode" title="#{general.formatoFechaUsuario}"
                                    value="#{manejoComisionesTramites.nuevaComision.fechaFin}"
                                    styleClass="outputLabelStyle" locale="es_CO"
                                    required="true" tabindex="-1" mindate="#{general.fechaActual}"
                                    label="Fecha final" >
                            <p:ajax event="dateSelect" immediate="true" 
                                    listener="#{manejoComisionesTramites.cambioFechaFinalComisionListener}"
                                    update="duracionComisionNuevaOT, duracionTotalComisionNuevaOT, detalleNuevaComisionMsgs" 
                                    />
                        </p:calendar>
                        <p:message for="fechaFinalComisionNueva" display="icon" id="reqFechaEndComNueva"/>
                    </h:panelGrid>
                </h:panelGroup>


                <h:outputLabel value="Duración: " styleClass="outputLabelStyle"/>
                <h:outputText id="duracionComisionNuevaOT"
                              value="#{manejoComisionesTramites.nuevaComision.duracion} &nbsp; días" >
                    <f:convertNumber maxFractionDigits="2" />
                </h:outputText>

                <p:spacer width="50" height="0" />

                <h:panelGrid columns="2" rendered="#{!manejoComisionesTramites.isSubprocesoDepuracion}">
                    <h:outputLabel value="Duración total: " styleClass="outputLabelStyle"/>
                    <h:outputText id="duracionTotalComisionNuevaOT"
                                  value="#{manejoComisionesTramites.nuevaComision.duracionTotal} &nbsp; días">
                        <f:convertNumber maxFractionDigits="2" />
                    </h:outputText>
                </h:panelGrid>

                <h:panelGrid columns="2" rendered="#{manejoComisionesTramites.isSubprocesoDepuracion}">
                    <h:outputText value="&nbsp;"/>
                    <h:outputText value="&nbsp;"/>
                </h:panelGrid>


                <!-- h:panelGroup rendered="# {!manejoComisionesTramites.isSubprocesoDepuracion}"-->
                <h:panelGroup rendered="false">
                    <h:outputLabel value="Ajustar tiempos de la comisión: " styleClass="outputLabelStyle"/>
                    <p:commandButton title="click para ajustar tiempos" icon="ui-icon-clock"
                                     oncomplete="ajusteTiemposNuevaComisionModalWV.show()"
                                     ajax="true" immediate="true"
                                     update=":ajusteTiemposComisionNuevaForm"
                                     process="@form"/>
                </h:panelGroup>
            </h:panelGrid>


            <p:spacer height="20" width="0"/>
            <p:outputPanel layout="block" style="text-align: center">
                <h:panelGrid columns="2" width="100%">
                    <h:panelGroup>
                        <h:outputLabel value="Conductor: " styleClass="outputLabelStyle"/>
                        <p:inputText id="conductorComisionNueva"
                                     value="#{manejoComisionesTramites.nuevaComision.conductor}" />
                    </h:panelGroup>
                    <h:panelGroup>
                        <h:outputLabel value="Vehículo: " styleClass="outputLabelStyle"/>
                        <p:inputMask id="placaVehiculoComisionNueva"
                                     value="#{manejoComisionesTramites.nuevaComision.placaVehiculo}"
                                     mask="aaa-999"/>
                    </h:panelGroup>
                </h:panelGrid>
            </p:outputPanel>


            <p:spacer height="20" width="0"/>
            <p:outputPanel layout="block" style="text-align: center">            
                <h:panelGrid columns="2" width="100%">
                    <h:panelGroup>
                        <h:outputLabel value="Objeto de la comisión: " styleClass="outputLabelStyle"/>
                        <h:outputLabel value="*" styleClass="requiredLabelStyle" />
                    </h:panelGroup>
                    <h:panelGrid columns="2">
                        <h:inputTextarea cols="80" id="objetoComisionNueva" required="true"
                                         onkeydown="controlarNroChars(this, 2000, true)"
                                         onkeyup="controlarNroChars(this, 2000, true)"
                                         value="#{manejoComisionesTramites.nuevaComision.objeto}"
                                         label="Objeto de la comisión">
                            <f:validateLength maximum="2000"/>
                        </h:inputTextarea>
                        <p:message for="objetoComisionNueva" display="icon" id="reqObjetoComisionNueva"/>
                    </h:panelGrid>

                    <h:outputLabel value="Observaciones: " styleClass="outputLabelStyle"/>
                    <h:panelGrid>
                        <h:inputTextarea cols="80" onkeydown="controlarNroChars(this, 2000, true)"
                                         onkeyup="controlarNroChars(this, 2000, true)"
                                         value="#{manejoComisionesTramites.nuevaComision.observaciones}">
                            <f:validateLength maximum="2000"/>
                        </h:inputTextarea>
                    </h:panelGrid>

                </h:panelGrid>
            </p:outputPanel>

            <p:spacer height="30" width="0"/>

            <p:outputPanel layout="block" style="text-align: left" >
                <h:panelGrid columns="3" width="60%">
                    <p:commandButton value="Crear comisión" 
                                     action="#{manejoComisionesTramites.crearComision}"
                                     update="@this, cancelBNuevaCom, reqFechaInitComNueva, reqFechaEndComNueva,
                                     reqObjetoComisionNueva, detalleNuevaComisionMsgs, 
                                     :manejoComisionesTramitesForm:globalMessagesMCT,
                                     :manejoComisionesTramitesForm:focus,:comisionSuccessForm"
                                     icon="ui-icon-script"
                                     disabled="#{manejoComisionesTramites.disableCrearComisionButton}"
                                     onstart="statusDialog2.show();"
                                     oncomplete="statusDialog2.hide();
                                     handleCompleteSIC(xhr, status, args, nuevaComisionModal, false);
                                     handleCompleteSIC(xhr, status, args, comisionSuccessWV, true);"/>
                    <p:spacer width="30" height="1"/>
                    <p:commandButton value="Cancelar" id="cancelBNuevaCom" icon="ui-icon-circle-close"
                                     action="#{manejoComisionesTramites.anularCrearComision}"
                                     oncomplete="nuevaComisionModal.hide();"
                                     disabled="#{manejoComisionesTramites.disableCrearComisionButton}"
                                     immediate="true">
                    </p:commandButton>
                </h:panelGrid>
            </p:outputPanel>

        </p:panel>

        <p:outputPanel layout="block" style="text-align: right">
            <p:commandButton value="Cerrar" immediate="true"
                             icon="ui-icon-close" ajax="true"
                             onclick="nuevaComisionModal.hide();statusDialog2.show();"
                             oncomplete="statusDialog2.hide();">
            </p:commandButton>
            <p:spacer width="50" height="1"/>
        </p:outputPanel>


    </h:panelGrid>

</h:form>

